<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2006 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------+
| Burn!nGames Newsletter
| Web: http://orosznyet.extra.hu
| Mail: orosznyet@gmail.com
| Copyright (c) Burn!nGames - 2003-2007
+----------------------------------------------------*/

require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";
require_once INCLUDES."sendmail_include.php";
if(!isset($step)) { $step = 0; }
if(!isset($do)) { $step = "none"; }
if(!isset($aid)) fallback("../../index.php");

if (file_exists(INFUSIONS."newsletter_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."newsletter_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."newsletter_panel/locale/English.php";
}

if (!checkRights("IP")) fallback("../../index.php");
opentable($locale['onl_050']);
echo "<table cellpadding='0' cellspacing='1' class='tbl-border' width='99%' align='center'><tr><td class='tbl2' width='33%' align='center'>
<a href='newsletter_admin.php".$aidlink."'>".$locale['onl_051']."</a>
</td><td class='tbl1' width='33%' align='center'>
".$locale['onl_052']."
</td><td class='tbl2' width='33%' align='center'>
<a href='newsletter_valid_admin.php".$aidlink."'>".$locale['onl_053']."</a>
</td></tr></table>";
closetable();
tablebreak();
if ($step == 1 AND isnum($sub_id)) {
  if ($do == "activate") {
    opentable($locale['onl_090']);
    $result = dbquery("UPDATE ".$db_prefix."newsletter_subs SET newsletter_sub_stat='1' WHERE newsletter_sub_id ='".$sub_id."'");
    echo "<center><br>".$locale['onl_091']."<br><br><br>
    <a href='".FUSION_SELF.$aidlink."'>".$locale['onl_092']."</a><br><br>
    <a href='".ADMIN."index.php".$aidlink."'>".$locale['onl_057']."</a><br><br>
    </center>";
    closetable();
  } else if ($do == "deactivate") {
    opentable($locale['onl_093']);
    $result = dbquery("UPDATE ".$db_prefix."newsletter_subs SET newsletter_sub_stat='0' WHERE newsletter_sub_id ='".$sub_id."'");
    echo "<center><br>".$locale['onl_094']."<br><br><br>
    <a href='".FUSION_SELF."'>".$locale['onl_092']."</a><br><br>
    <a href='".ADMIN."index.php".$aidlink."'>".$locale['onl_057']."</a><br><br>
    </center>";
    closetable();  
  } else if ($do == "delete") {
    opentable($locale['onl_095']);
    $result = dbquery("DELETE FROM ".$db_prefix."newsletter_subs WHERE newsletter_sub_id='".$sub_id."'");
    echo "<center><br>".$locale['onl_096']."<br><br><br>
    <a href='".FUSION_SELF.$aidlink."'>".$locale['onl_092']."</a><br><br>
    <a href='".ADMIN."index.php".$aidlink."'>".$locale['onl_057']."</a><br><br>
    </center>";
    closetable();  
  } else if ($do == "add") {
    opentable($locale['onl_097']);
    if (isset($_POST['add_sub'])) {
    $time = time();
    echo "<center><br>";
      if ($_POST['subs_type'] == 1) {
        if (isnum($_POST['subs_user_id'])) {
          $usern = dbquery("SELECT * FROM ".$db_prefix."users WHERE user_id='".$_POST['subs_user_id']."'");
          if (dbrows($usern) != 0) {
            $usern_a = dbarray($usern);
            $usern_s =  dbquery("INSERT INTO ".$db_prefix."newsletter_subs VALUES('', '".$usern_a['user_email']."','1','".$time."','1')");
            echo $locale['onl_098'];        
          } else {
            echo $locale['onl_099']." ".$_POST['subs_user_id'];
          }
        } else {
          echo $locale['onl_100'];
        }
      
    } else if ($_POST['subs_type'] == 2) {
       $time = time();   
       $email = stripinput(trim(eregi_replace(" +", "", $_POST['sub_mail'])));
       if ($email == "") { $error .= "<font color='red'><b></b></font> ".$locale['onl_015']."<br>\n";}
       if (!preg_match("/^[-0-9A-Z_\.]{1,50}@([-0-9A-Z_\.]+\.){1,50}([0-9A-Z]){2,4}$/i", $email)) { $error .= "<font color='red'><b></b></font> ".$locale['onl_016']."<br>\n";}
       $email_domain = substr(strrchr($email, "@"), 1);
       $result = dbquery("SELECT * FROM ".$db_prefix."blacklist WHERE blacklist_email='".$email."' OR blacklist_email='".$email_domain."'");
       if (dbrows($result) != 0) { $error .= "<font color='red'><b></b></font> ".$locale['onl_017']."<br>\n";}
       $result = dbquery("SELECT * FROM ".$db_prefix."newsletter_subs WHERE newsletter_sub_mail='".$email."'");
       if (dbrows($result) != 0) { $error .= "<font color='red'><b></b></font> ".$locale['onl_018']."<br>\n";}                        
       if ($error == "") {
         $userow = dbrows(dbquery("SELECT * FROM ".$db_prefix."users WHERE user_email='".$_POST['sub_mail']."'"));
         if ($userow == 1) { $who = 1;} else { $who = 0;}
         $result = dbquery("INSERT INTO ".$db_prefix."newsletter_subs VALUES('', '".$_POST['sub_mail']."','0','".$time."','".$who."')");
         echo $locale['onl_101'];
       } else if ($error != "") {
         echo $locale['onl_023']."<br>\n".$error."<br><div align='center'>";
         }                         
    } else {
      echo $locale['onl_102'];
    }    
    echo "<br><br><br><a href='".FUSION_SELF.$aidlink."'>".$locale['onl_092']."</a><br><br>
    <a href='".ADMIN."index.php".$aidlink."'>".$locale['onl_057']."</a><br><br>
    </center>";
    } else {
      $result = dbquery("SELECT * FROM ".$db_prefix."users ORDER BY user_name ASC");
      if (dbrows($result) != 0) {
        while ($data = dbarray($result)) {
          if (isset($user_id)) $sel = ($user_id == $data['user_id'] ? " selected" : "");
            $cu = dbrows(dbquery("SELECT * FROM ".$db_prefix."newsletter_subs WHERE newsletter_sub_mail='".$data['user_email']."'"));
              if ($cu == 0) {
                $editlist .= "<option value='".$data['user_id']."'".$sel.">".$data['user_name']."</option>\n";
              }
         }
      }
      echo "<center><form name='publish' method='post' action='".FUSION_SELF.$aidlink."&step=1&sub_id=666&do=add'><table cellpadding='0' cellspacing='1' class='tbl-border' align='center' width='500px'><tr><td class='tbl1' colspan='3' width='100%'>
      ".$locale['onl_097']."
      </td></tr><tr><td class='tbl2' width='30%'>
      <input type='radio' name='subs_type' value='1' checked> ".$locale['onl_103']."
      </td><td class='tbl2' width='70%' colspan='2'><select name='subs_user_id' class='textbox' style='width:250px'>
      ".$editlist."
      </select></td></tr>
      
      <tr><td class='tbl1' width='30%'>
      <input type='radio' name='subs_type' value='2'> ".$locale['onl_104']."
      </td><td class='tbl1' width='20%'>
      ".$locale['onl_105']." <td class='tbl1'><input type='text' class='textbox' name='sub_mail' style='width:200px'></td>
      </td></tr>
      
      <tr><td class='tbl1' colspan='3' width='100%' align='center'>
      <input type='submit' name='add_sub' class='button' value='".$locale['onl_106']."'>
      </td></tr> 
      </table>";
    }    
    closetable();  
  }




} else {
opentable($locale['onl_107']);
$result = dbquery("SELECT * FROM ".$db_prefix."newsletter_subs");
$rows = dbrows($result);if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;
$result = dbquery("SELECT * FROM ".$db_prefix."newsletter_subs ORDER BY newsletter_sub_stat LIMIT ".$rowstart.",20");

if (dbrows($result) != 0) {
echo "<table border=\"0\" cellpadding=\"0\" cellspacing=\"1\" class=\"tbl-border\" width=\"600px\" align='center'><tr><td class='tbl2' align='center' width='100%' colspan='4'>
".$locale['onl_108']." [ <a href='".FUSION_SELF.$aidlink."&step=1&sub_id=666&do=add'>".$locale['onl_109']."</a> ]
</td></tr><tr><td class='tbl1' align='center' width='25%'>
".$locale['onl_110']."
</td><td class='tbl1' align='center' width='25%'>
".$locale['onl_111']."
</td><td class='tbl1' align='center' width='25%'>
".$locale['onl_112']."
</td><td class='tbl1' align='center' width='25%'>
".$locale['onl_113']."
</td></tr>";

  while ($data = dbarray($result)) {
    $cell_color = ($i % 2 == 0 ? "tbl2" : "tbl1"); $i++;
    echo "<tr><td class='".$cell_color."' width='25%' align='center'>
    <a href='mailto:".$data['newsletter_sub_mail']."'>".$data['newsletter_sub_mail']."</a>
    </td><td class='".$cell_color."' width='25%' align='center'>";
      if ($data['newsletter_sub_who'] == 1){
        $rescum = dbquery("SELECT * FROM ".$db_prefix."users WHERE user_email='".$data['newsletter_sub_mail']."'");
          if (dbrows($rescum) != 0) {
            $resc = dbarray($rescum);
            echo "<b><a href='".BASEDIR."profile.php?lookup=".$resc['user_id']."'>".$resc['user_name']."</a></b>";
          } else {
            echo $locale['onl_114'];
          }        
        }
      
      else if ($data['newsletter_sub_who'] != 1) {    echo "<font color='red'>".$locale['onl_115']."</font>";}
    echo "</td><td class='".$cell_color."' width='25%' align='center'>
    ".showdate("shortdate",$data['newsletter_sub_date'])."
    </td><td class='".$cell_color."' width='25%' align='center'>";
      if ($data['newsletter_sub_stat'] == 0) {           echo "<a href='".FUSION_SELF.$aidlink."&step=1&sub_id=".$data['newsletter_sub_id']."&do=activate'>".$locale['onl_116']."</a>"; }
      else if ($data['newsletter_sub_stat'] == 1) {      echo "<a href='".FUSION_SELF.$aidlink."&step=1&sub_id=".$data['newsletter_sub_id']."&do=deactivate'>".$locale['onl_117']."</a>"; }
    echo "/<a href='".FUSION_SELF.$aidlink."&step=1&sub_id=".$data['newsletter_sub_id']."&do=delete'>".$locale['onl_069']."</a>
    </td></tr>";
  }
  
echo "</table>";
if ($rows > 20) echo "<div align='center' style='margin-top:5px;'>\n".makePageNav($rowstart,20,$rows,3,FUSION_SELF.$aidlink."&")."\n</div>\n";
} else {
echo "<br><br><center>".$locale['onl_118']."<br><br>
<a href='".FUSION_SELF.$aidlink."&step=1&sub_id=666&do=add'>".$locale['onl_106']."</a>
</center><br><br>";
}
closetable();
tablebreak();
opentable($locale['onl_119']);

echo "<table border=\"0\" cellpadding=\"0\" cellspacing=\"1\" class=\"tbl-border\" width=\"600px\" align='center'><tr><td class='tbl1' align='center' width='25%'>
".$locale['onl_120']."
</td><td class='tbl1' align='center' width='25%'>
".$locale['onl_121']."
</td><td class='tbl1' align='center' width='25%'>
".$locale['onl_122']."
</td><td class='tbl1' align='center' width='25%'>
".$locale['onl_123']."
</td></tr>
<tr><td class='tbl2' align='center' width='25%'>";
$maxsub = dbrows(dbquery("SELECT * FROM ".$db_prefix."newsletter_subs"));
echo $maxsub."</td><td class='tbl2' align='center' width='25%'>";
$maxmem = dbrows(dbquery("SELECT * FROM ".$db_prefix."newsletter_subs WHERE newsletter_sub_who='1'"));
echo $maxmem."</td><td class='tbl2' align='center' width='25%'>";
$maxgue = dbrows(dbquery("SELECT * FROM ".$db_prefix."newsletter_subs WHERE newsletter_sub_who='0'"));
echo $maxgue."</td><td class='tbl2' align='center' width='25%'>";
$inactiv = dbrows(dbquery("SELECT * FROM ".$db_prefix."newsletter_subs WHERE newsletter_sub_stat='0'"));
echo $inactiv."</tr></table>";
closetable();
}

require_once BASEDIR."footer.php";
?>
