<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2006 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------+
| Burn!nGames Newsletter
| Web: http://orosznyet.extra.hu
| Mail: orosznyet@gmail.com
| Copyright (c) Burn!nGames - 2003-2007
+----------------------------------------------------*/

require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";
require_once INCLUDES."sendmail_include.php";
if(!isset($aid)) fallback("../../index.php");

if (file_exists(INFUSIONS."newsletter_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."newsletter_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."newsletter_panel/locale/English.php";
}

if (!checkrights("IP")) fallback("../index.php");
opentable($locale['onl_050']);
echo "<table cellpadding='0' cellspacing='1' class='tbl-border' width='99%' align='center'><tr><td class='tbl1' width='33%' align='center'>
".$locale['onl_051']."
</td><td class='tbl2' width='33%' align='center'>
<a href='newsletter_subs.php".$aidlink."'>".$locale['onl_052']."</a>
</td><td class='tbl2' width='33%' align='center'>
<a href='newsletter_valid_admin.php".$aidlink."'>".$locale['onl_053']."</a>
</td></tr></table>";
closetable();
tablebreak();
if (isset($_POST['save'])) {
	$subject = addslash($_POST['subject']);
	$content = addslash($_POST['content']);
	if (isset($newsletter_id)) {
		$result = dbquery("UPDATE ".$db_prefix."newsletters SET newsletter_subject='".$subject."', newsletter_content='".$content."', newsletter_format='".$_POST['format']."' WHERE newsletter_id='".$newsletter_id."'");
		opentable($locale['onl_054']);
		echo "<center><br>
".$locale['onl_055']."<br><br>
<a href='newsletter_admin.php".$aidlink."'>".$locale['onl_056']."</a><br><br>
<a href='".ADMIN."index.php".$aidlink."'>".$locale['onl_057']."</a><br><br>
</center>\n";
		closetable();
	} else {
		$result = dbquery("INSERT INTO ".$db_prefix."newsletters VALUES('', '".$subject."', '".$content."', '".$_POST['format']."', '".time()."')");
		opentable($locale['onl_058']);
		echo "<center><br>
".$locale['onl_059']."<br><br>
<a href='newsletter_admin.php".$aidlink."'>".$locale['onl_056']."</a><br><br>
<a href='".ADMIN."index.php".$aidlink."'>".$locale['onl_057']."</a><br><br>
</center>\n";
		closetable();
	}
} else if (isset($_POST['send'])) {
	$subject = stripslash($_POST['subject']);
	if ($_POST['format'] == "plain") {
		$content = stripslash($_POST['content']);
	} else if ($_POST['format'] == "html") {
		$content = "<html>
<head>
<style type=\"text/css\">
<!--
a { color: #0000ff; text-decoration:none; }
a:hover { color: #0000ff; text-decoration: underline; }
body { font-family:Verdana,Tahoma,Arial,Sans-Serif; font-size:10px; }
p { font-family:Verdana,Tahoma,Arial,Sans-Serif; font-size:10px; }
.td { font-family:Verdana,Tahoma,Arial,Sans-Serif; font-size:10px; }
-->
</style>
</head>
<body>
".stripslashes($_POST['content'])."
</body>
</html>";
	}
	$result = dbquery("SELECT * FROM ".$db_prefix."newsletter_subs WHERE newsletter_sub_stat='1'");
        if (dbrows($result)) {
		$i = 1; $rows = dbrows($result); $bcc_list = "";
		while ($data = dbarray($result)) {
			$bcc_list .= ($i != 1 ? ", " : "").$data['newsletter_sub_mail'];
			if ($rows == 1 || $i == 99) {
				if (!sendemail($settings['siteusername'],$settings['siteemail'],$settings['siteusername'],$settings['siteemail'],$subject,$content,$_POST['format'],"", $bcc_list)) {
					$error = $locale['onl_060'];
				}
				$bcc_list = "";
			}
			if ($i != 99) { $i++; } else { $i = 1; }
			$rows--;
		}
	} else {
		$error = $locale['onl_061'];
	}
	opentable($locale['onl_062']);
	echo "<center><br>\n";
	if (!$error) {
		echo $locale['onl_063']."<br><br>\n";
	} else {
		echo $locale['onl_064']."<br><br>\n".$error."<br><br>\n";
	}
	echo "<a href='newsletter_admin.php".$aidlink."'>".$locale['onl_056']."</a><br><br>
<a href='".ADMIN."index.php".$aidlink."'>".$locale['onl_057']."</a><br><br>
</center>\n";
	closetable();
} else if (isset($_POST['delete'])) {
	$result = dbquery("DELETE FROM ".$db_prefix."newsletters WHERE newsletter_id='".$newsletter_id."'");
	opentable($locale['onl_065']);
	echo "<center><br>
".$locale['onl_066']."<br><br>
<a href='newsletter_admin.php".$aidlink."'>".$locale['onl_056']."</a><br><br>
<a href='".ADMIN."index.php".$aidlink."'>".$locale['onl_057']."</a><br><br>
</center>\n";
	closetable();
} else {
	if (isset($_POST['preview'])) {
		$subject = phpentities(stripslash($_POST['subject']));
		$content = phpentities(stripslash($_POST['content']));
		$plain = ($_POST['format'] == "plain" ? " checked" : "");
		$html = ($_POST['format'] == "html" ? " checked" : "");
		if ($_POST['format'] == "plain") {
			$contentpreview = nl2br(stripslash($_POST['content']));
		} else {
			$contentpreview = stripslash($_POST['content']);
		}
		opentable($subject);
		echo $contentpreview."\n";
		closetable();
		tablebreak();
	}
	opentable($locale['onl_067']);
	$editlist = ""; $sel = "";
	$result = dbquery("SELECT * FROM ".$db_prefix."newsletters ORDER BY newsletter_datestamp DESC");
	if (dbrows($result) != 0) {
		while ($data = dbarray($result)) {
			if (isset($newsletter_id)) $sel = ($newsletter_id == $data['newsletter_id'] ? " selected" : "");
			$editlist .= "<option value='".$data['newsletter_id']."'".$sel.">".$data['newsletter_subject']."</option>\n";
		}
	}
	echo "<form name='selectform' method='post' action='".FUSION_SELF.$aidlink."'>
<table align='center' cellspacing='1' cellpadding='0' class='tbl-border' width='400'><tr><td class='tbl2'>
  <select name='newsletter_id' class='textbox' style='width:100%'>".$editlist."</select>
</td></tr><tr><td class='tbl1' align='center'>
  <input type='submit' name='edit' value='".$locale['onl_068']."' class='button'>
  <input type='submit' name='delete' value='".$locale['onl_069']."' onclick='return DeleteNewsletter();' class='button'>
</td></tr></table>
</form>\n";
	closetable();
	tablebreak();
	if (isset($_POST['edit'])) {
		$result = dbquery("SELECT * FROM ".$db_prefix."newsletters WHERE newsletter_id='".$newsletter_id."'");
		if (dbrows($result) != 0) {
			$data = dbarray($result);
			$subject = phpentities(stripslashes($data['newsletter_subject']));
			$content = phpentities(stripslashes($data['newsletter_content']));
			$plain = ($data['newsletter_format'] == "plain" ? " checked" : "");
			$html = ($data['newsletter_format'] == "html" ? " checked" : "");
		}
	}
	if (isset($newsletter_id)) {
		$action = FUSION_SELF.$aidlink."&newsletter_id=".$newsletter_id;
		opentable($locale['onl_054']);
	} else {
		if (!isset($_POST['preview'])) {
			$subject = "";
			$content = "";
			$html = "";
			$plain = " checked";
		}
		$action = FUSION_SELF.$aidlink;
		opentable($locale['onl_058']);
	}
	echo "<form name='inputform' method='post' action='".$action."' onSubmit='return ValidateForm(this)'>
<table align='center' cellspacing='1' cellpadding='0' class='tbl-border' width='600'>
<tr>
<td width='100' class='tbl1'>".$locale['onl_070']."</td>
<td class='tbl1'><input type='text' name='subject' value='".$subject."' class='textbox' style='width:250px;'></td>
</tr>
<tr>
<td valign='top' width='100' class='tbl2'>".$locale['onl_071']."</td>
<td class='tbl2'><textarea name='content' cols='95' rows='15' class='textbox'>".$content."</textarea></td>
</tr>
<tr>
<td class='tbl1'>".$locale['onl_072']."</td>
<td class='tbl1'>
<input type='button' value='p' class='button' style='font-weight:bold;width:25px;' onClick=\"addText('content', '<p>', '</p>');\">
<input type='button' value='br' class='button' style='font-weight:bold;width:25px;' onClick=\"insertText('content', '<br>');\">
<input type='button' value='b' class='button' style='font-weight:bold;width:25px;' onClick=\"addText('content', '<b>', '</b>');\">
<input type='button' value='i' class='button' style='font-style:italic;width:25px;' onClick=\"addText('content', '<i>', '</i>');\">
<input type='button' value='u' class='button' style='text-decoration:underline;width:25px;' onClick=\"addText('content', '<u>', '</u>');\">
<input type='button' value='link' class='button' style='width:35px;' onClick=\"addText('content', '<a href=\'http://\' target=\'_blank\'>', '</a>');\">
<input type='button' value='img' class='button' style='width:35px;' onClick=\"insertText('content', '<img src=\'".$settings['siteurl']."fusion_images/\' style=\'margin:5px;\' align=\'left\'>');\">
<input type='button' value='center' class='button' style='width:45px;' onClick=\"addText('content', '<center>', '</center>');\">
<input type='button' value='small' class='button' style='width:40px;' onClick=\"addText('content', '<span class=\'small\'>', '</span>');\">
<input type='button' value='small2' class='button' style='width:45px;' onClick=\"addText('content', '<span class=\'small2\'>', '</span>');\">
<input type='button' value='alt' class='button' style='width:25px;' onClick=\"addText('content', '<span class=\'alt\'>', '</span>');\">
</td>
</tr>
<tr>
<td class='tbl2'>".$locale['onl_073']."</td>
<td class='tbl2'><input type='radio' name='format' value='plain'".$plain.">".$locale['onl_074']." <input type='radio' name='format' value='html'".$html.">HTML</td>
</tr>
<tr>
<td align='center' colspan='2' class='tbl1'>
<input type='submit' name='preview' value='".$locale['onl_075']."' class='button'>
<input type='submit' name='save' value='".$locale['onl_076']."' class='button'>
<input type='submit' name='send' value='".$locale['onl_077']."' class='button'></td>
</tr>
</table>
</form>\n";
	closetable();
	echo "<script language=\"JavaScript\">
function DeleteNewsletter() {
	return confirm('".$locale['onl_078']."');
}
function ValidateForm(frm) {
	if(frm.subject.value=='') {
		alert('".$locale['onl_079']."');
		return false;
	}
}
</script>\n";
}

echo "</td>\n";
require_once BASEDIR."footer.php";
?>
